[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TComponent.GetNamePath

Returns the name path of this component.

## Declaration

Source position: classesh.inc line 1742

`public function TComponent.GetNamePath: string; override;`

## Description

GetNamePath returns the name of the component as it will be shown in the object inspector.

TComponent overrides GetNamePath so it returns the Name property of the component.

## See also

Name |  | Name of the component.
TPersistent.GetNamePath |  | Returns a string that can be used to identify the class instance.

Documentation generated on: Feb 26 2014